System.Web 2.0.0.0 System.Collections.CollectionBase

The class provides methods and properties that you can use to manage a collection of objects. For example, you can add a set of parser errors to a collection upon parsing while using a custom object to report all parse exceptions caught during parsing.

To add parser errors to, remove them from, or locate them in a collection, use the following:

The method to add a single object to the collection.

The methods to add multiple objects to the collection.

Both the method and the property, which is the indexer, to add a single object to the collection at the specified index.

Additionally, you can use the class to do the following:

Remove objects with the method.

Check whether a particular is in the collection by using the method.

Find where a object is located in the collection by using the method.

Manages a set of parser errors detected during parsing. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  The constructor adds an array of objects to the collection.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Int32 `` To be added.

  Use the method to add an existing object to the collection. You cannot add the same object to the collection more than once. When you call the method using a object that is already in the collection, the addition fails and -1 is returned.

  To add multiple objects to the collection, use the method.

  Adds a value to the collection.

  The index of the value within the collection; otherwise, -1 if the value is already in the collection.

  2.0.0.0
- Method
  System.Void `` To be added.

  Use the method to add an array of objects to the collection. The method is useful when you create multiple objects and want to add them to the collection with a single method call. To add individual objects to the collection, use the method.

  Adds an array of objects to the collection.

  2.0.0.0
- Method
  System.Void `` To be added.

  Unlike the method, the method does not have a return value that can be used to determine whether a object being added is already in the collection. If you need this information, use the method before using .

  Adds the objects in an existing to the collection.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  You cannot add the same object to the collection more than once. However, attempting to add a object more than once will not throw an exception. Instead, the addition will fail. In this case, the method will return a value of –1. However, the and methods do not have return values. When adding objects by using one of these methods, use the method to determine whether a particular object is already in the collection.

  Determines whether the object is located in the collection.

  true if the is in the collection; otherwise, false.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  Use the method to copy the objects in a collection (including the item references they contain) to a compatible array, starting at a specified index. This is useful when you want to sort the objects in the collection by using the method. To do this:

  Copy the objects into a compatible array.

  Sort the array.

  Use the method to remove all the objects from the collection.

  Use the method to add the sorted array back to the collection.

  Copies the objects in the collection to a compatible one-dimensional array, starting at the specified index of the target array.

  The first index within the array to which the is copied. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Use the method to determine the index of a object within the collection. This is useful to determine the index of each when you iterate through the collection by using the object returned by the method.

  Gets the index of the specified object in the collection.

  The zero-based index of the objects within the collection; otherwise, 1 if the is not in the collection.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  Use the method to insert an existing object at a particular index within the collection.

  You cannot add the same object to the collection more than once. When you call the method by using a that is already in the collection, the insertion fails. Use the method before the insertion to determine whether a particular is already in the collection. To reposition a within the collection, you must first remove it by using the method and then insert it at the desired index by using .

  Inserts the specified object into the collection at the specified index.

  The index within the collection at which to insert the . 2.0.0.0
- Property
  System.Web.ParserError `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Use the method to remove a object from the collection when you have a reference to the .

  Removes the specified object from the collection.

  2.0.0.0